Bug 4900 - IRC Plugin Doesn't Always Show User Nicks When People Speak
: IRC Plugin Doesn't Always Show User Nicks When People Speak
Status: RESOLVED WONTFIX
Product: Chat & Call & SMS
Messaging
: 4.1.3 (5.2008.43-7)
: All Maemo
: Low normal (vote)
: ---
Assigned To: rtcomm@maemo.org
: im-chat-bugs
: http://mg.pov.lt/maemo-irclog/%23maem...
:
: 5139
:
  Show dependency tree
 
Reported: 2009-08-11 16:24 UTC by Jason Carter
Modified: 2010-03-11 16:01 UTC (History)
1 user (show)

See Also:


Attachments
screenshot (103.34 KB, image/png)
2009-08-12 14:48 UTC, Jason Carter
Details


Note

You need to log in before you can comment on or make changes to this bug.


Description Jason Carter (reporter) 2009-08-11 16:24:02 UTC
SOFTWARE VERSION: See Version selected above.
(Control Panel > General > About product)

STEPS TO REPRODUCE THE PROBLEM:
1) Add IRC account.
2) Enter a chatroom (I've been in the official #maemo IRC room on freenode.net)
3) Wait for people to speak.

EXPECTED OUTCOME: IRC plugin should always prefix all channel messages with the
name of the person speaking.

ACTUAL OUTCOME: It seems one particular person just does not have their name
prefixed to their channel messages... in my case, stskeeps. His messages appear
in green just like action messages (/me messages) and without his name.

REPRODUCIBILITY: Sometimes, depending on who speaks, it seems.
(always/sometimes/once)

EXTRA SOFTWARE INSTALLED: RTCOMM

OTHER COMMENTS: It is impossible to tell who is speaking when this bug happens.
It's only by comparing what I see on my screen with the #maemo IRC log that I
can see who it was that was speaking. It seems to only affect ONE person at a
time.

User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.0.2;
.NET CLR 3.5; ffco7) Gecko/2008090514 Firefox/3.0.2
Comment 1 Jason Carter (reporter) 2009-08-11 16:24:59 UTC
I fully realize that this bug won't be fixed in Diablo and that the plugin is
(sadly) not included in Fremantle so this bug won't be fixed, but I wanted to
make sure this was documented. Screenshot from tablet coming soon.
Comment 2 Jason Carter (reporter) 2009-08-11 21:54:04 UTC
There's a very good chance that the people that are not having their names
shown in the chat are all ops/moderators.
Comment 3 Andre Klapper maemo.org 2009-08-12 01:21:08 UTC
Yepp, screenshot welcome. :)
Comment 4 Jason Carter (reporter) 2009-08-12 14:48:58 UTC
Created an attachment (id=1306) [details]
screenshot

user Razumihn speaking in the channel. All instances of this happening appear
to be from users whose names start with a capital letter, like bug #4905.
Comment 5 Jason Carter (reporter) 2009-08-12 15:34:18 UTC
The user also is not an op or voiced. Some people that originally were affected
yesterday, such as Stskeeps, were not affected today for some reason. I'll be
properly testing this in a controlled environment tonight to narrow down the
cause.
Comment 6 Andre Klapper maemo.org 2010-03-11 16:01:04 UTC
This is a WONTFIX for Maemo4.
If bug 5139 for Maemo5 gets solved in the future and if the problem reporterd
here will be still an issue in Maemo5 after fixing bug 5139, please update this
report (steps, Version field) and reopen it. Thanks.